echo -off

if %1 == "" then
   goto Err_Print
endif

if not exist %1 then 
   goto No_File
endif

if exist afuefi.smc then 
   mv afuefi.smc afuefix64.efi
endif

goto Flash_BIOS

:Flash_BIOS
echo **************************************************************************
echo *
echo *  Program BIOS and ME regions...
echo *
echo **************************************************************************

afuefix64.efi %1 /P /B /N /K /R /ME
goto END

:No_File
echo **************************************************************************
echo *
echo *  %1 doesn't exist and please double check.
echo *
echo **************************************************************************
goto END

:Err_Print
echo **************************************************************************
echo *
echo "*  Usage:"
echo "*         flash.nsh romfile"
echo *
echo **************************************************************************

:END
if exist afuefix64.efi then 
   mv afuefix64.efi afuefi.smc
endif


